apiVersion: v1
kind: ConfigMap
metadata:
  name: {{ include "sogo.fullname" . }}-config
  labels:
    {{- include "sogo.labels" . | nindent 4 }}
data:
  SOGO_SOGoIMAPServer: '{{ .Values.deployment.config.SOGO_SOGoIMAPServer | quote }}'
  SOGO_SOGoSMTPServer: '{{ .Values.deployment.config.SOGO_SOGoSMTPServer | quote }}'
  SOGO_SOGoMailDomain: {{ .Values.deployment.config.SOGO_SOGoMailDomain | quote }}
  SOGO_SOGoMailingMechanism: {{ .Values.deployment.config.SOGO_SOGoMailingMechanism | quote  }}
  SOGO_SOGoSMTPAuthenticationType: {{ .Values.deployment.config.SOGO_SOGoSMTPAuthenticationType | quote  }}
  SOGO_SOGoForceExternalLoginWithEmail: {{ .Values.deployment.config.SOGO_SOGoForceExternalLoginWithEmail | quote }}
  SOGO_NGImap4ConnectionStringSeparator: '{{ .Values.deployment.config.SOGO_NGImap4ConnectionStringSeparator | quote  }}'
  SOGO_SOGoPasswordChangeEnabled: {{ .Values.deployment.config.SOGO_SOGoPasswordChangeEnabled | quote }}
  SOGO_SOGoForwardEnabled: {{ .Values.deployment.config.SOGO_SOGoForwardEnabled | quote }}
  SOGO_SOGoSieveScriptsEnabled: {{ .Values.deployment.config.SOGO_SOGoSieveScriptsEnabled | quote }}
  SOGO_SOGoSieveServer: '{{ .Values.deployment.config.SOGO_SOGoSieveServer | quote }}'
  SOGO_SOGoTimeZone: {{ .Values.deployment.config.SOGO_SOGoTimeZone | quote }}
  SOGO_WorkersCount: {{ .Values.deployment.config.SOGO_WorkersCount | quote }}
  SOGO_SOGoCalendarDefaultRoles: {{ .Values.deployment.config.SOGO_SOGoCalendarDefaultRoles }}
